<div class="credential">
  <mat-form-field class="input">
    <input
      matInput
      type="text"
      placeholder="Key"
      [disabled]="disabled"
      [(ngModel)]="data.key"
    />
  </mat-form-field>
  <mat-form-field class="input">
    <input
      matInput
      [type]="pwd_type"
      placeholder="Value"
      [disabled]="disabled"
      [(ngModel)]="data.value"
    />
  </mat-form-field>
  <mat-form-field class="input date">
    <input
      type="text"
      matInput
      placeholder="Date"
      disabled
      (ngModelChange)="data.inserted_at = $event"
      [ngModel]="data.inserted_at + 'Z' | date : 'yyyy-MM-dd HH:mm:ss'"
    />
  </mat-form-field>
  <span class="mask">
    <button
      *ngIf="pwd_type == 'text'"
      mat-button
      [disabled]="selected_credential && selected_credential != data.id"
      color="primary"
      (click)="mask(true)"
    >
      <mat-icon>visibility</mat-icon>
    </button>
    <button
      *ngIf="pwd_type == 'password'"
      mat-button
      [disabled]="selected_credential && selected_credential != data.id"
      color="primary"
      (click)="mask(false)"
    >
      <mat-icon>visibility_off</mat-icon>
    </button>
  </span>
  <span class="edit">
    <button
      mat-button
      color="primary"
      [disabled]="selected_credential && selected_credential != data.id"
      *ngIf="disabled"
      (click)="edit(true)"
    >
      <mat-icon>edit</mat-icon>
    </button>
    <button
      mat-button
      color="primary"
      [disabled]="selected_credential && selected_credential != data.id"
      *ngIf="!disabled"
      (click)="edit(false)"
    >
      <mat-icon>save</mat-icon>
    </button>
  </span>
  <span class="delete">
    <button
      mat-button
      color="warn"
      [disabled]="selected_credential && selected_credential != data.id"
      (click)="delete()"
    >
      <mat-icon>delete_forever</mat-icon>
    </button>
  </span>
</div>
